org.apache.olingo.commons.api.edm.provider

## Class CsdlComplexType

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlStructuralType
    - - org.apache.olingo.commons.api.edm.provider.CsdlComplexType

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlComplexType
      extends CsdlStructuralType

  The type Csdl complex type.

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.provider.CsdlStructuralType

      `annotations, baseType, isAbstract, isOpenType, name, navigationProperties, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlComplexType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlComplexType` | `setAbstract(boolean isAbstract)` Sets abstract.
    `CsdlComplexType` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlComplexType` | `setBaseType(FullQualifiedName baseType)` Sets base type.
    `CsdlComplexType` | `setBaseType(String baseType)` Sets base type.
    `CsdlComplexType` | `setName(String name)` Sets name.
    `CsdlComplexType` | `setNavigationProperties(List<CsdlNavigationProperty> navigationProperties)` Sets navigation properties.
    `CsdlComplexType` | `setOpenType(boolean isOpenType)` Sets open type.
    `CsdlComplexType` | `setProperties(List<CsdlProperty> properties)` Sets properties.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlStructuralType

      `getAnnotations, getBaseType, getBaseTypeFQN, getName, getNavigationProperties, getNavigationProperty, getProperties, getProperty, isAbstract, isOpenType`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlComplexType

          public CsdlComplexType()

  - ### Method Detail

    - #### setName

          public CsdlComplexType setName(String name)

      Description copied from class: `CsdlStructuralType`
      Sets name.
      Overrides:
        `setName` in class `CsdlStructuralType`
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### setOpenType

          public CsdlComplexType setOpenType(boolean isOpenType)

      Description copied from class: `CsdlStructuralType`
      Sets open type.
      Overrides:
        `setOpenType` in class `CsdlStructuralType`
      Parameters:
        `isOpenType` - the is open type
      Returns:
        the open type

    - #### setBaseType

          public CsdlComplexType setBaseType(String baseType)

      Description copied from class: `CsdlStructuralType`
      Sets base type.
      Overrides:
        `setBaseType` in class `CsdlStructuralType`
      Parameters:
        `baseType` - the base type
      Returns:
        the base type

    - #### setBaseType

          public CsdlComplexType setBaseType(FullQualifiedName baseType)

      Description copied from class: `CsdlStructuralType`
      Sets base type.
      Overrides:
        `setBaseType` in class `CsdlStructuralType`
      Parameters:
        `baseType` - the base type
      Returns:
        the base type

    - #### setAbstract

          public CsdlComplexType setAbstract(boolean isAbstract)

      Description copied from class: `CsdlStructuralType`
      Sets abstract.
      Overrides:
        `setAbstract` in class `CsdlStructuralType`
      Parameters:
        `isAbstract` - the is abstract
      Returns:
        the abstract

    - #### setProperties

          public CsdlComplexType setProperties(List<CsdlProperty> properties)

      Description copied from class: `CsdlStructuralType`
      Sets properties.
      Overrides:
        `setProperties` in class `CsdlStructuralType`
      Parameters:
        `properties` - the properties
      Returns:
        the properties

    - #### setNavigationProperties

          public CsdlComplexType setNavigationProperties(List<CsdlNavigationProperty> navigationProperties)

      Description copied from class: `CsdlStructuralType`
      Sets navigation properties.
      Overrides:
        `setNavigationProperties` in class `CsdlStructuralType`
      Parameters:
        `navigationProperties` - the navigation properties
      Returns:
        the navigation properties

    - #### setAnnotations

          public CsdlComplexType setAnnotations(List<CsdlAnnotation> annotations)

      Description copied from class: `CsdlStructuralType`
      Sets a list of annotations
      Overrides:
        `setAnnotations` in class `CsdlStructuralType`
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.